/*******************************************************************************
* FILE NAME: motor_routines.h
*
* DESCRIPTION:
*  This file contains motor/joystick related filter definitions.
*
* USAGE:
*
*******************************************************************************/

#ifndef __motor_routines_h_
#define __motor_routines_h_

#ifdef VARIABLE_DECLARE
  int ipwm01, ipwm02, ipwm03, ipwm04, ipwm05, ipwm06, ipwm07, ipwm08;
  int ipwm09, ipwm10, ipwm11, ipwm12, ipwm13, ipwm14, ipwm15, ipwm16;
  int ip1_y, ip2_y, ip3_y, ip4_y;
  int ip1_x, ip2_x, ip3_x, ip4_x;
  int ip1_wheel, ip2_wheel, ip3_wheel, ip4_wheel;
#else
  extern int ipwm01, ipwm02, ipwm03, ipwm04, ipwm05, ipwm06, ipwm07, ipwm08;
  extern int ipwm09, ipwm10, ipwm11, ipwm12, ipwm13, ipwm14, ipwm15, ipwm16;
  extern int ip1_y, ip2_y, ip3_y, ip4_y;
  extern int ip1_x, ip2_x, ip3_x, ip4_x;
  extern int ip1_wheel, ip2_wheel, ip3_wheel, ip4_wheel;
#endif

#define NullJoystick 5
#define FORWARDLEFTBALANCE 49  // Last settings were: 45, 50
#define FORWARDRIGHTBALANCE 0 
#define BACKWARDLEFTBALANCE 10
#define BACKWARDRIGHTBALANCE 0

void motor_fix_in(void);
void motor_fix_out(void);

void Continuous_Deadband(int *);

int  Limit_Mix (int );
void Hold_Position(char init);

#endif
