/*******************************************************************************
* FILE NAME: sensor_routines.h
*
* DESCRIPTION:
*  This file contains sensor related declarations
*
* USAGE:
*
*******************************************************************************/

#ifndef __sensor_routines_h_
#define __sensor_routines_h_


#ifdef VARIABLE_DECLARE
  long GyroSum = 0;
  unsigned char GyroTicks=0; // Time to check the gyro
  int min_gyro=0, max_gyro=0;
  int LeftAmps, RightAmps;
#else
  extern long GyroSum;
  extern unsigned char GyroTicks;
  extern int min_gyro, max_gyro;
  extern int LeftAmps, RightAmps;
#endif

void Gyro(void);
int  Gyro_Degrees(void);
int  Average_Values(char *, int, char, int *);
void Current_Sensor(void);
int Encoder_PID(int, int, int *, int *);
void Initialize_Interrupts(void);
void Gyro_PID(int,char);

#endif
